from .projectiles import *

REACTION_DICTIONARY = {
      1: 'total', 
      2: 'E    ', 
      3: 'nonel', 
      4: 'n    ', 
      5: 'O    ', 
     11: '2nd  ', 
     16: '2n   ', 
     17: '3n   ', 
     18: 'F    ', 
     22: 'na   ', 
     23: 'n3a  ', 
     24: '2na  ', 
     25: '3na  ', 
     28: 'np   ', 
     29: 'n2a  ', 
     30: '2n2a ', 
     32: 'nd   ', 
     33: 'nt   ', 
     34: 'nh   ', 
     35: 'nd2a ', 
     36: 'nt2a ', 
     37: '4n   ', 
     41: '2np  ', 
     42: '3np  ', 
     44: 'n2p  ', 
     45: 'npa  ', 
    102: 'g    ', 
    103: 'p    ', 
    104: 'd    ', 
    105: 't    ', 
    106: 'h    ', 
    107: 'a    ', 
    108: '2a   ', 
    109: '3a   ', 
    111: '2p   ', 
    112: 'pa   ', 
    113: 't2a  ', 
    114: 'd2a  ', 
    115: 'pd   ', 
    116: 'pt   ', 
    117: 'da   ', 
    152: '5n   ', 
    153: '6n   ', 
    154: '2nt  ', 
    155: 'ta   ', 
    156: '4np  ', 
    157: '3nd  ', 
    158: 'nda  ', 
    159: '2npa ', 
    160: '7n   ', 
    161: '8n   ', 
    162: '5np  ', 
    163: '6np  ', 
    164: '7np  ', 
    165: '4na  ', 
    166: '5na  ', 
    167: '6na  ', 
    168: '7na  ', 
    169: '4nd  ', 
    170: '5nd  ', 
    171: '6nd  ', 
    172: '3nt  ', 
    173: '4nt  ', 
    174: '5nt  ', 
    175: '6nt  ', 
    176: '2nh  ', 
    177: '3nh  ', 
    178: '4nh  ', 
    179: '3n2p ', 
    180: '3n2a ', 
    181: '3npa ', 
    182: 'dt   ', 
    183: 'npd  ', 
    184: 'npt  ', 
    185: 'ndt  ', 
    186: 'nph  ', 
    187: 'ndh  ', 
    188: 'nth  ', 
    189: 'nta  ', 
    190: '2n2p ', 
    191: 'ph   ', 
    192: 'dh   ', 
    193: 'ha   ', 
    194: '4n2p ', 
    195: '4n2a ', 
    196: '4npa ', 
    197: '3p   ', 
    198: 'n3p  ', 
    199: '3n2pa', 
    200: '5n2p ', 
    201: 'Xn   ',
    202: 'Xg   ',
    203: 'Xp   ',
    204: 'Xd   ',
    205: 'Xt   ',
    206: 'Xh   ',
    207: 'Xa   ',
    301: 'Ktot ',
    302: 'Kel  ',
    303: 'Knone',
    304: 'Kinel',
    318: 'Kfiss',
    401: 'Kdiss',
    402: 'Kradc',
    403: 'Kprot',
    407: 'Kalph',
    442: 'Kphot',
    443: 'Kktot',
    444: 'Dtot ',
    445: 'Del  ',
    446: 'Dinel',
    447: 'Ddiss'
}

def getreaction(mt, proj=PROJECTILE_NEUTRON):
    return "({},{:5})".format(get_projectile_symbol(proj), REACTION_DICTIONARY[mt])

def getmt(reactionstring, fullstring=False):
    """
        Returns -1 if not found
    """
    mt = -1
    for k, v in REACTION_DICTIONARY.items():
        rstr = reactionstring
        if fullstring:
            # strip off projectile and brackets
            rstr = reactionstring[3:-1].strip()
        if v.strip() == rstr:
            mt = k
    return mt